Package org.silverpeas.components.gallery.media

## Class DrewMediaMetadataExtractor

- java.lang.Object
- - org.silverpeas.components.gallery.media.AbstractMediaMetadataExtractor
  - - org.silverpeas.components.gallery.media.DrewMediaMetadataExtractor

- All Implemented Interfaces:
    `MediaMetadataExtractor`

      public class DrewMediaMetadataExtractor
      extends AbstractMediaMetadataExtractor

  Author:
    ehugonnet

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.components.gallery.media.AbstractMediaMetadataExtractor

      `imageIptcProperties, imageProperties, metaDataBundles, settings`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DrewMediaMetadataExtractor​(String instanceId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<MetaData>` | `extractImageExifMetaData​(File image)` |
    `List<MetaData>` | `extractImageExifMetaData​(File image, String lang)` |
    `List<MetaData>` | `extractImageIptcMetaData​(File image)` |
    `List<MetaData>` | `extractImageIptcMetaData​(File image, String lang)` |

    - ### Methods inherited from class org.silverpeas.components.gallery.media.AbstractMediaMetadataExtractor

      `defineImageIptcProperties, defineImageProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DrewMediaMetadataExtractor

          public DrewMediaMetadataExtractor​(String instanceId)

  - ### Method Detail

    - #### extractImageExifMetaData

          public List<MetaData> extractImageExifMetaData​(File image)
                                                  throws MediaMetadataException,
                                                         IOException

      Throws:
        `MediaMetadataException`
        `IOException`

    - #### extractImageExifMetaData

          public List<MetaData> extractImageExifMetaData​(File image,
                                                         String lang)
                                                  throws MediaMetadataException,
                                                         IOException

      Throws:
        `MediaMetadataException`
        `IOException`

    - #### extractImageIptcMetaData

          public List<MetaData> extractImageIptcMetaData​(File image)
                                                  throws MediaMetadataException,
                                                         IOException

      Throws:
        `MediaMetadataException`
        `IOException`

    - #### extractImageIptcMetaData

          public List<MetaData> extractImageIptcMetaData​(File image,
                                                         String lang)
                                                  throws IOException,
                                                         MediaMetadataException

      Throws:
        `IOException`
        `MediaMetadataException`